<?php

// ini_Set('display_errors',1);

session_start();
require_once ("../../config/Cado.php");

require_once ("cCajageneral_cst.php");
$oCajageneral_cst = new cCajageneral_cst();

require_once ("../puntoventa/cPuntoventa.php");
$oPuntoventa = new cPuntoventa();

require_once ("../formatos/formato.php");

$fecha1 = $_POST['txt_fil_com_fec1']; 
$fecha2 = $_POST['txt_fil_com_fec2'];
$punven_id = $_POST['cmb_fil_puntoventa_id'];

// echo '--'.$punven_id;

$dts=$oPuntoventa->mostrarUno($punven_id);
$dt = mysqli_fetch_array($dts);
$punven_nom = $dt['tb_puntoventa_nom'];
$punven_cod = $dt['tb_puntoventa_cod'];
$alm_id = $dt['tb_almacen_id'];
$caj_id = $dt['tb_caja_id'];
$imp_id = $dt['tb_impresora_id'];
$emp_id = $dt['tb_empresa_id'];
mysqli_free_result($dts);

?>


<section class="content">
	<div class="container-fluid">
	<div class="row">
	    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12 ">
		    <div class="card">
				<div class="col-lg-12 col-md-12 col-sm-12 col-xs-12" style="padding:5px;">
					<div class="table-responsive">
		
		
		
						<table id="" class="table">
						
						<tbody>
							
						<tr >
							<td colspan="3" nowrap="nowrap"></td>			
						</tr>
							
							
						
						
						
						
						
						
						
						<tr style="background-color:#607D8B;color:#FFF;" >
							<td colspan="3" nowrap="nowrap"><strong>VENTAS</strong></td>
						</tr>
					<?php
					
						$dts7=$oCajageneral_cst->mostrar_ventas_agrupformapago(fecha_mysql($fecha1),fecha_mysql($fecha2),$punven_id);
						$num_rows7= mysqli_num_rows($dts7);
						
					
						if($num_rows7>0){	
						while($dt7 = mysqli_fetch_array($dts7))
						{		
							
							 if($dt7['tb_formapago_id']==1){
								$forpag = 'CONTADO';
							}else if($dt7['tb_formapago_id']==2){
								$forpag = 'CREDITO';
							}
						
						?>
							<tr style="background-color:#EFEBE9;" >
							<td colspan="2" nowrap="nowrap"><strong><?php echo $forpag.' '.$dt7['tb_moneda_sim']; ?></strong></td>			
							<td align="right" style="font-size:1.5rem;" ><strong><?php echo $dt7['tb_moneda_sim'].' '.formato_money($dt7['sumtotvenpv']); ?></strong></td>  
							</tr>	
						<?php
						
						$dts8=$oCajageneral_cst->mostrar_ventas_agrupadopormodo(fecha_mysql($fecha1),fecha_mysql($fecha2),$punven_id,$dt7['tb_formapago_id'],$dt7['tb_moneda_id']);
						while($dt8 = mysqli_fetch_array($dts8))
						{
							$modpag = '';
						 
							if($dt8['tb_modopago_id']==1){
							 $modpag = 'EFECTIVO';
							}else if($dt8['tb_modopago_id']==2){
							 $modpag = 'DEPOSITO';
							}else if($dt8['tb_modopago_id']==4){
							 $modpag = 'TRANSFERENCIA';
							}else if($dt8['tb_modopago_id']==5){
							 $modpag = 'CHEQUE';
							}else if($dt8['tb_modopago_id']==6){
							 $modpag = 'TARJETA';
							} 
						
						?>
							<tr style="font-size:1.5rem;" >
							<td align="right" colspan="2" ><strong><?php echo $modpag; ?></strong></td>
							<td align="right" style="border-right:solid #FF1744 5px;" ><strong><?php echo $dt7['tb_moneda_sim'].' '.formato_money($dt8['totalmonto'])?></strong></td>  
							</tr>
						<?php
						
						$dts9=$oCajageneral_cst->mostrar_ventas_agrupadoporfecha(fecha_mysql($fecha1),fecha_mysql($fecha2),
						$punven_id,$dt7['tb_formapago_id'],$dt7['tb_moneda_id'],$dt8['tb_modopago_id']);
						while($dt9 = mysqli_fetch_array($dts9))
						{
							
						$dts10=$oCajageneral_cst->mostrar_ventas_agrupadopordocumento(fecha_mysql($dt9['tb_ingreso_fec']),
						$punven_id,$dt7['tb_formapago_id'],$dt7['tb_moneda_id'],$dt8['tb_modopago_id']);
						while($dt10 = mysqli_fetch_array($dts10))
						{
							$dts11=$oCajageneral_cst->mostrar_ventas_desagrupado(fecha_mysql($dt9['tb_ingreso_fec']),
						$punven_id,$dt7['tb_formapago_id'],$dt7['tb_moneda_id'],$dt8['tb_modopago_id'],$dt10['tb_documento_id']);
						while($dt11 = mysqli_fetch_array($dts11))
						{
						
						?>
							<tr style="font-size:1rem;" >
							<td align="right" colspan="" ><span><?php echo $dt11['tb_venta_numdoc']; ?></span></td>
							<td align="right" style="border-right:solid #76FF03 5px;" colspan="" ><span><?php echo $dt11['tb_cliente_nom']; ?></span></td>
							<td align="left"><strong><?php echo $dt1['tb_moneda_sim'].' '.formato_money($dt11['tb_ingreso_imp'])?></strong></td>  
							</tr>
						<?php	
							
						}
							
							
						?>
							<tr style="font-size:1rem;" >
							<td align="right" colspan="2" ><span><?php echo $dt10['tb_documento_nom']; ?></span></td>
							<td align="left" style="border-right:solid #76FF03 5px;"  ><strong><?php echo $dt1['tb_moneda_sim'].' '.formato_money($dt10['totalmonto'])?></strong></td>  
							</tr>
						<?php	
						
						}
							
						?>
						<tr style="font-size:1rem;" >
							<td align="right" colspan="2" ><span><?php echo mostrarFecha($dt9['tb_ingreso_fec']); ?></span></td>
							<td align="right" style="border-right:solid #01579B 5px;border-bottom:solid #01579B 2px;"  ><strong><?php echo $dt1['tb_moneda_sim'].' '.formato_money($dt9['totalmonto'])?></strong></td>  
						</tr>
						<tr >
							<td colspan="3" nowrap="nowrap"></td>			
						</tr>
						<?php	
						
						
						}
					
						}
						
						}
						
						}else{
						?>
						<tr >
							<td colspan="3" nowrap="nowrap"><strong><?php echo 'NINGUN DATO'; ?></strong></td>			
						</tr>	
						<?php 
						}
					
					
					?>
					
					
						</tbody>
						
					</table>
					
					</div>
				</div>
			</div>
		</div>
    </div>
    </div>
  </section>

  
   <script type="text/javascript">

	
function abrirEnPestana(url) {
		var a = document.createElement("a");
		a.target = "_blank";
		a.href = url;
		a.click();
}

  $(function() {



$("#btn_excel").click(function(){
			cajid = $("#cmb_fil_caj_id").val();
			mes = $("#txt_fil_com_fec1").val();		
			abrirEnPestana('../../files/consultacaja/consultacajaconsolidadas_cst_excel.php?cajid=<?php echo $_POST["cmb_fil_caj_id"]?>&fec1=<?php echo $_POST["txt_fil_com_fec1"]?>&fec2=<?php echo $_POST["txt_fil_com_fec2"]?>&tip=<?php echo $_POST["cmb_fil_caj_tip"]?>&modpag=<?php echo $_POST["cmb_modpag_id"]?>&modid=<?php echo $_POST["cmb_fil_mod_id"]?>');

});


	  
   /*  $("#tabla_egreso,#tabla_ingreso").DataTable( {
      paging: true,
	  searching: false,
	  ordering:false,
	  "columnDefs": [
        { "orderable": true, "targets": [0] }
      ],
    }); */
	
	
	
  }); 
</script>  